Package csb :: Package statistics :: Module scalemixture :: Class ScaleMixture

[frames] | no frames]

# Class ScaleMixture

source code

             object --+
                      |
    pdf.AbstractDensity --+
                          |
            pdf.BaseDensity --+
                              |
                             ScaleMixture

Robust probabilistic superposition and comparison of protein structures Martin Mechelke and Michael Habeck

Represenation of a distribution as a mixture of gaussians with a mean of zero and different inverse variances/scales. The number of scales equals the number of datapoints.

The underlying family is determined by a prior ScaleMixturePrior on the scales. Choosing a GammaPrior results in Stundent-t posterior, wheras a InvGammaPrior leads to a K-Distribution as posterior.

Nested Classes
Inherited from `pdf.AbstractDensity`: `__metaclass__`

Instance Methods

__init__(self, scales=array([ 1., 1.]), prior=None, d=3) x.__init__(...) initializes x; see help(type(x)) for signature | source code

array

log_prob(self, x) Evaluate the logarithm of the probability of observing values `x`. | source code

random(self, shape=None) Generate random samples from the probability distribution. | source code

Inherited from `pdf.AbstractDensity`: `__call__`, `__getitem__`, `__setitem__`, `__str__`, `estimate`, `evaluate`, `get_params`, `set_params` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| prior
| scales
Inherited from `pdf.AbstractDensity`: `estimator`, `parameters` Inherited from `object`: `__class__`

Method Details

### __init__(self, scales=array([ 1., 1.]), prior=None, d=3)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### log_prob(self, x)

source code

Evaluate the logarithm of the probability of observing values `x`.

Parameters:
  - `x` - values
Returns: array
Overrides: pdf.AbstractDensity.log_prob
  (inherited documentation)

### random(self, shape=None)

source code

Generate random samples from the probability distribution.

Parameters:
  - `size` - number of values to sample
Overrides: pdf.AbstractDensity.random
  (inherited documentation)

Property Details

### prior

Get Method:
  unreachable.prior(self)
Set Method:
  unreachable.prior(self, value)

### scales

Get Method:
  unreachable.scales(self)
Set Method:
  unreachable.scales(self, value)